IPSW-DOWNLOAD-TSS(1)

NAME
ipsw-download-tss - Check signing status and download SHSH blobs

SYNOPSIS
ipsw download tss [flags]

DESCRIPTION
Check signing status and download SHSH blobs

OPTIONS
--beta[=false]
    Check for beta iOS versions

-b, --build=""
    iOS BuildID (i.e. 16F203)

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--ecid=0
    Device ECID

-h, --help[=false]
    help for tss

--insecure[=false]
    do not verify ssl certs

-l, --latest[=false]
    Check latest iOS version

-o, --output=""
    Output path for SHSH blobs

--proxy=""
    HTTP/HTTPS proxy

-s, --signed[=false]
    Check if iOS version is still being signed

-u, --usb[=false]
    Download blobs for USB connected device

-v, --version=""
    iOS Version (i.e. 12.3.1)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Check if iOS version is still being signed
    ❯ ipsw download tss --device iPhone14,2 --version 17.0 --signed
    # Check if latest iOS version is still being signed
    ❯ ipsw download tss --device iPhone14,2 --latest --signed
    # Check signing status for USB connected device
    ❯ ipsw download tss --usb --signed
    # Check signing status for a specific ECID
    ❯ ipsw download tss --device iPhone14,2 --version 17.0 --ecid 1234567890 --signed
    # Download SHSH blobs for specific device/version
    ❯ ipsw download tss --device iPhone14,2 --version 17.0 --output 1234567890.shsh

SEE ALSO
ipsw-download(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra